# Uses of Interface
org.eclipse.mat.snapshot.IOQLQuery

Packages that use IOQLQuery
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.oql
Object Query Language (OQL) (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of IOQLQuery in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return IOQLQuery
Modifier and Type
Method
Description
`IOQLQuery`
SnapshotFactoryImpl.`createQuery(String queryString)`

## Uses of IOQLQuery in org.eclipse.mat.parser.internal.oql

Classes in org.eclipse.mat.parser.internal.oql that implement IOQLQuery
Modifier and Type
Class
Description
`class`
`OQLQueryImpl`

## Uses of IOQLQuery in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return IOQLQuery
Modifier and Type
Method
Description
`static IOQLQuery`
SnapshotFactory.`createQuery(String queryString)`
Factory to create an OQL Query.
`IOQLQuery`
SnapshotFactory.Implementation.`createQuery(String queryString)`
Run an OQL query